GraphTFT - Darstellung nicht korrekt - Tipps?

  • Jungs,


    ich hab irgendwie Murks auf meinen Display. Konkret geht es um die vielen Schwarzen Flächen auf dem Display.


    [Blocked Image: http://ralf.klueber.googlepages.com/IMG_2945.JPG]


    Hat jemand einen Tipp für mich? Seit einem der letzten apt-get upgrades sieht das so aus, aber ich komme erst jetzt dazu mich darum zu kümmern.


    In der Suche habe ich nichts zu Problemen mit GraphTFT gefunden.


    ich hab


  • Hi Ralf,


    hast du es mal mit graphTFT 1.7 probiert ?


    Verkabelung was geändert ?
    MH läuft auf nem anderen rechner ?

    Gruss,
    Michael


    VDR1: openSuSe Linux 10.2 Kernel 2.6.22.9, P4 650, VDR 1.6.0-2, Terratec S-2300 modded+Full_TS-&4MB-Mod, DVB-S, GraphLCD,AvBoard. Plugins: femon,remote,live,dvd,radio,wirbelscan,burn,epgsearch,extrecmenu,fritzbox,streamdev;
    VDR2: openSuSe LEAP Kernel 4.4.120-45-default,TT-S2 6400 DVB-S, VDR 2.2.0, TouchTFT. Plugins: remote,dvbhddevice,live,graphtft,epgsearch,extrecmenu,fritzbox

  • 1.7 gibt es noch nicht bei mir mit apt-get. Kann das sein?


    mh läuft auf nem anderen Rechner.


    Skinwechsel habe ich schon hinter mit. Im Enigma Skin gibt es restarts wenn eine Aufnahme gestartet wird.


    Im Moment kann ich nicht testen, da die Kids gerade Schloss Einstein schauen. Ich musste GraphTFT deaktivieren.


    Melde mich.


    Ich finde es nur merkwürdig, dass GraphTFT out of the box nicht funktioniert ;(.

  • Genau so sieht es bei mir auch aus, nur das ich nicht upgegraded habe, sondern der TFT neu dazugekommen ist und ich mit GraphTFT 0.1.9a angefangen habe.


    Wäre über Hilfe mehr als dankbar.

    Hardware: P2 400Mhz, 448MB-Ram, 80GB, Nexus-S =>Harman&Kardon AVR2550=>B&W 603 S3; 602.5 S3; LCR600 S3 & ASW 650
    Software: Kernel 2.6.16-ct-1, 1.4.7-1ctvdr
    Plugins: dvd, femon, fussball, mp3, premiereepg, remote, streamdev-server, sysinfo, taste, text2skin, vcd

  • Hi,


    verwendet ihr ein aktuelles zu den Alpha Versionen passendes Skin. Am besten erst einmal mit dem beim Plugin Mitgelieferten Deep-Blue Demo-Skin testen


    Grüße
    horchi

  • Ich schreib mal ganz unqualifiziert:



    Du hast bestimmt zeilen wie:

    Code
    1. Item=Channel,x=50,y=100,font=Vera,size=50,width=450,height=300,lines=1


    in deinem Skin, das scheint mit graphtft zu schwarten Hintergründen zu führen, mit

    Code
    1. Item=Channel,x=50,y=100,font=Vera,size=50,lines=1


    also ohne

    Code
    1. ,width=450,height=300


    kommt der Hintergrund, aber der Text wird nicht richtig aktualisiert, bzw. der alte wird vor dem neuen nicht weggelöscht....
    ( oder ist das nur bei mir so... )


    wenn du mit ",width=450,height=300" arbeitest, musst du allerdings die Hintergrundfarbe pro zeile mit definieren.... ( Schau dir mal die DeepBlue.theme genauer an. )


    .... oder ich hab da den gleichen Fehler.... =)

    VDR1.7.12 + ExtPatch on openSuSE 11.1 2.6.27.45-0.1-default (x86_64) gcc 4.3.2 r141291
    1xNexus (fw:f12623) ** 3xTeVii S650 ** Alphacrypt/SKY ** DVB-Treiber 7.6.09cvs ** 7" GraphTFT ** VOMP on MediaMVP ** zendeb 0.4.0.b1 on S100 ** 4ch Atmolight
    Xine-lib-1.2 20100412(vdpau) +DFextPatch ** XINE-UI ** Nvidia GT240 (260.19.36) ** Samsung LE46C650 ** istreamdev-git_20110216 to IPhone

    The post was edited 2 times, last by DrBoon ().

  • Mir ist gerade aufgefallen, dass ich gar nicht die 0.1.9a versucht habe sondern die 0.1.6a. Versuche ich allerdings die 0.1.9a zu bauen bekomme ich einen Fehler:


    Code
    1. make[1]: *** Keine Regel vorhanden, um das Target »avutil.h«,
    2. benötigt von »display.o«, zu erstellen. Schluss.
    3. make[1]: Leaving directory `/usr/src/graphtft-0.1.9.alpha'
    4. make: *** [build-stamp] Fehler 2

    Hardware: P2 400Mhz, 448MB-Ram, 80GB, Nexus-S =>Harman&Kardon AVR2550=>B&W 603 S3; 602.5 S3; LCR600 S3 & ASW 650
    Software: Kernel 2.6.16-ct-1, 1.4.7-1ctvdr
    Plugins: dvd, femon, fussball, mp3, premiereepg, remote, streamdev-server, sysinfo, taste, text2skin, vcd

  • Hi,


    sind die Pakete libavutil und libavutil-dev installiert, wobei diese wurden auch schon von den anderen Versionen benötigt.


    horchi

  • Bekomme für beide ein "E: Konnte Paket libavutil-dev nicht finden", also nehme ich an, dass die beiden Pakete fehlen.


    Muss ich etwas in meiner sources.list ändern um an die Pakete zu kommen?

    Hardware: P2 400Mhz, 448MB-Ram, 80GB, Nexus-S =>Harman&Kardon AVR2550=>B&W 603 S3; 602.5 S3; LCR600 S3 & ASW 650
    Software: Kernel 2.6.16-ct-1, 1.4.7-1ctvdr
    Plugins: dvd, femon, fussball, mp3, premiereepg, remote, streamdev-server, sysinfo, taste, text2skin, vcd

  • auf meinem vdr habe ich nur die drei Einträge in der sources.list:


    Code
    1. deb ftp://ftp.uni-erlangen.de/pub/Linux/debian/ testing main
    2. deb-src ftp://ftp.uni-erlangen.de/pub/Linux/debian/ testing main
    3. deb http://security.debian.org lenny/updates main


    folgendes liefert apt-file für die fehlende Datei:


    Code
    1. root@linvdr:~/vdr/PLUGINS/src# apt-file search avutil.h
    2. libavutil-dev: usr/include/ffmpeg/avutil.h



    horchi

  • Kann ich denn testing mit etch mischen? Hab mal gehört, dass man das nicht tun sollte.

    Hardware: P2 400Mhz, 448MB-Ram, 80GB, Nexus-S =>Harman&Kardon AVR2550=>B&W 603 S3; 602.5 S3; LCR600 S3 & ASW 650
    Software: Kernel 2.6.16-ct-1, 1.4.7-1ctvdr
    Plugins: dvd, femon, fussball, mp3, premiereepg, remote, streamdev-server, sysinfo, taste, text2skin, vcd

  • Hi,


    das ergab google zu etch


    deb http://ftp.de.debian.org/debian/ etch main non-free contrib
    deb-src http://ftp.de.debian.org/debian/ etch main non-free contrib
    deb http://security.debian.org/ etch/updates main contrib non-free
    deb-src http://security.debian.org/ etch/updates main contrib non-free


    wenn das auch nicht hilft würde ich es aus den Quellen bauen


    horchi

  • Jo die hab ich in meiner sources.list stehen, aber libavutil-dev ist leider nur unter testing und unstable zu finden.


    /edit: Irgendwie bin ich ein bisschen blind. Ich seh gerade, dass es ja schon eine 0.1.11a gibt. Braucht die auch besagte Pakete? Bin im Moment auf der Arbeit, sodass ich das nicht testen kann.

    Hardware: P2 400Mhz, 448MB-Ram, 80GB, Nexus-S =>Harman&Kardon AVR2550=>B&W 603 S3; 602.5 S3; LCR600 S3 & ASW 650
    Software: Kernel 2.6.16-ct-1, 1.4.7-1ctvdr
    Plugins: dvd, femon, fussball, mp3, premiereepg, remote, streamdev-server, sysinfo, taste, text2skin, vcd

    The post was edited 1 time, last by Schmattek ().

  • horchi : ich hab auch kein libavutil gefunden. Ich hab libavutilcvs49 libavutilcvs49-dev installiert.


    Ich hab mit apt-get --purge remove vdr-plugin-gtaphtft weggefegt und nei installiert mit apt-get install vdr-plugin-graphtft. Ich nutze also die Standardfiles/Themes und hab das gleiche Problem.


    Any other hints?

  • Hi,


    im Makefile wird davon ausgegangen, dass die ffmpeg (avcodec) Header unter "/usr/include/ffmpeg" zu finden sind. ist das bei dir anders muss es im Makefile angepasst werden.



    horchi